%{?nodejs_find_provides_and_requires}

%global packagename lcov-parse
%global enable_tests 1

Name:		nodejs-lcov-parse
Version:	0.0.10
Release:	7%{?dist}
Summary:	Parse lcov results files and return JSON

License:	BSD
URL:		https://github.com/davglass/lcov-parse.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository. Unfortunately, no releases have been tagged in
# GitHub, so the tests tarball has to be created manually from 'master'
# instead
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:	noarch

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(vows)
%endif

%description
Parse lcov results files and return JSON


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package




%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/vows --spec ./tests/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 02 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.10-2
- Enable tests
- Fix test dependencies
- Fix ExclusiveArch for EPEL

* Thu Oct 15 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.10-1
- Initial packaging
